package de.nplusc.izc.tools.IOtools;


import java.io.*;

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author LH
 */
class StreamGobbler// extends Thread
{
    public StreamGobbler()
    {
        throw new UnsupportedOperationException("Klasse wurde deinstalliert");
    }
    /*
    InputStream is;
    String type;
    
    StreamGobbler(InputStream is, String type)
    {
        this.is = is;
        this.type = type;
    }
    
    @Override
    public void run()
    {   
        Thread t = new Thread(new Runnable() {

        //@SuppressWarnings("SleepWhileInLoop")//Hx
        @SuppressWarnings("CallToThreadDumpStack")
        public void run() {
        try
        {
            InputStreamReader isr = new InputStreamReader(is);
            BufferedReader br = new BufferedReader(isr);
            String line=null;
            boolean r=true;
            while ( (line = br.readLine()) != null )//||true)//FAIL||r==true)
                Tools.log(type+line);   
                try
                {
                    //Tools.e.exitValue();
                    r=false;
                }
                catch(IllegalThreadStateException e)
                {
                    r=true;
                }
            } catch (IOException ioe)
              {
                ioe.printStackTrace();  
              }
                    }
        });
        
        t.start();
    }*/
}